require 'spec_helper'

describe Qwaiter::Counter do
  describe 'couchbase connection', broken: true do # couchbase not used at the moment
    before do
      @original_connection = Qwaiter::Counter.connection
      Qwaiter::Counter.connection = $cb
    end

    after do
      Qwaiter::Counter.connection = @original_connection
    end
    describe '.incr' do
      it 'sets nonexistent keys to 1' do
        expect( subject.incr 'nonexistent1' ).to eq 1
        expect( subject.get 'nonexistent1' ).to eq 1
      end
    end
  end

  describe 'test connection' do
    describe '.incr' do
      it 'sets nonexistent keys to 1' do
        expect( subject.incr 'nonexistent1' ).to eq 1
        expect( subject.get 'nonexistent1' ).to eq 1
      end
    end
  end
end
